function p.get_is_solid() return false end
function p.get_tex() return "" end

function p.main()
    set_default_block("e")
    
    --Creating the maze.
    maze_start()

    for x = 0,15,2 do
    for y = 0,15,2 do
        maze_add_vertex(x,y,7)
        set_pos(x,y,7,"s")
    end end

    for x = 0,15,2 do
    for y = 0,15,2 do
        if (x + 2 <= 15) then
            maze_add_edge(x,y,7, x+2,y,7)
        end
        --See what happens if this is taken out.
        if (y + 2 <= 15) then
            maze_add_edge(x,y,7, x,y+2,7)
        end
    end end

    maze_end()
    --The graph for the maze has been created.
    --(The graph is a minimal spanning tree).

    --An edge (between two vertices) is called "open"
    --if it is in the final minimal spanning tree.
    for x = 0,15,2 do
    for y = 0,15,2 do
        if (x + 2 <= 15) then
            if maze_edge_open(x,y,7, x+2,y,7) then
                set_pos(x+1,y,7,"s")
            end
        end
        if (y + 2 <= 15) then
            if maze_edge_open(x,y,7, x,y+2,7) then
                set_pos(x,y+1,7,"s")
            end
        end
    end end
end
